## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# FormatterTreeWalker Class Reference

Inheritance diagram for FormatterTreeWalker:

[legend]
Collaboration diagram for FormatterTreeWalker:

[legend]
List of all members.

## Public Member Functions

- FormatterTreeWalker (FormatterListener &formatterListener, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
    Construct a FormatterTreeWalker instance.
- virtual ~FormatterTreeWalker ()

## Protected Member Functions

- virtual bool startNode (const XalanNode *node)
    Called when first walking a node.
- virtual bool startNode (XalanNode *node)
    Called when first walking a node.
- virtual bool endNode (const XalanNode *node)
    Called when leaving a node.
- virtual bool endNode (XalanNode *node)
    Called when leaving a node.

## Constructor & Destructor Documentation

FormatterTreeWalker::FormatterTreeWalker | ( | FormatterListener & | formatterListener,
|  | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR
| ) |

  | Construct a FormatterTreeWalker instance. Parameters:
  formatterListener | implemention of the FormatterListener operation (toXMLString, digest, ...)

virtual FormatterTreeWalker::~FormatterTreeWalker | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool FormatterTreeWalker::endNode | ( | XalanNode * | node | ) | `[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

virtual bool FormatterTreeWalker::endNode | ( | const XalanNode * | node | ) | `[protected, virtual]`

  | Called when leaving a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

virtual bool FormatterTreeWalker::startNode | ( | XalanNode * | node | ) | `[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

virtual bool FormatterTreeWalker::startNode | ( | const XalanNode * | node | ) | `[protected, virtual]`

  | Called when first walking a node. Parameters:
  node | The node
Returns: return false if the walk should continue, or true if it should not. Implements TreeWalker.

The documentation for this class was generated from the following file:

- FormatterTreeWalker.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.